Get Devices
Description
Get all the devices a basestation knows (currently not paginated and limited at 10000 devices). lastUpdate is the last time a device’s status was updated with the basestation. The status is updated every time a device comes online.
Request
GET /v1/domains/:domain/devices
Response
Successful response contains the following JSON formated body:
{
devices: {
domain: string,
deviceId: string,
region: string,
lastUpdate: string,
created: string
}[]
}
Response Status codes:
- 200 on success
Request headers
This request must have the following headers:
Authorization: bearer <ApiKey>X-Nabto-Organization: <organizationId>
Example
Request
curl "https://api.cloud.nabto.com/v1/domains/:domain/devices" \
-H "Authorization: Bearer <ApiKey>" \
-H "X-Nabto-Organization: <OrganizationId>"
Response
{
"devices": [{
"domain": "mydomain.example.net",
"deviceId": "a.mydomain.example.net",
"region": "<region>",
"lastUpdate": "2022-10-18T10:17:24.299Z",
"created": "2022-10-18T10:17:24.299Z"
},
...],
}